---
title: pydo.vector_databases.get_credentials()
description: Retrieve Admin Credentials for a Vector Database
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/vector_databases/get_credentials/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.vector_databases.get_credentials()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.vector_databases.get_credentials(id="\"example string\"")
```

Returns `JSON`Raises `HttpResponseError`

## Description

To retrieve the admin credentials for a vector database, send a GET request to [`/v2/vector-databases/{id}/credentials`](https://docs.digitalocean.com/reference/api/reference/vector-databases/index.html.md#vectorDatabases_get_credentials). The response body contains the `user_id` and `api_token` for the admin user provisioned on the cluster.

## Parameters

`id` string required

ID of the vector database.

## Response Example

## Show Response Example

```json
{
  "api_token": "example string",
  "user_id": "123e4567-e89b-12d3-a456-426614174000"
}
```

## More Information

See [`/v2/vector-databases/{id}/credentials`](https://docs.digitalocean.com/reference/api/reference/vector-databases/index.html.md#vectorDatabases_get_credentials) in the API reference for additional detail on responses, headers, parameters, and more.